org.apache.cassandra.net

## Interface IMessageSink

-     public interface IMessageSink

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `allowIncomingMessage(MessageIn message, int id)` Allow or drop an incoming message
    `boolean` | `allowOutgoingMessage(MessageOut message, int id, java.net.InetAddress to)` Allow or drop an outgoing message

- - ### Method Detail

    - #### allowOutgoingMessage

          boolean allowOutgoingMessage(MessageOut message,
                                       int id,
                                       java.net.InetAddress to)

      Allow or drop an outgoing message
      Returns:
        true if the message is allowed, false if it should be dropped

    - #### allowIncomingMessage

          boolean allowIncomingMessage(MessageIn message,
                                       int id)

      Allow or drop an incoming message
      Returns:
        true if the message is allowed, false if it should be dropped

Copyright © 2018 The Apache Software Foundation